Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 708663 - Review Request: sugar-conozco_nicaragua - Geographycal Activity for Sugar
Summary: Review Request: sugar-conozco_nicaragua - Geographycal Activity for Sugar
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-05-28 17:54 UTC by German Ruiz
Modified: 2015-12-04 02:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-04 02:42:55 UTC


Attachments (Terms of Use)

Description German Ruiz 2011-05-28 17:54:45 UTC
Spec URL: http://germanrs.fedorapeople.org/Sugar/conozco-nicaragua.spec
SRPM http://germanrs.fedorapeople.org/Sugar/ConozcoNicaragua-1-1.fc15.src.rpm

Description: A Sugar Activity for teaching geography of Nicaragua... It's an application for SoaS...

------------------------------------------------------------------------------
[makerpm@fedora-laptop SRPMS]$ rpmlint -i ConozcoNicaragua-1-1.fc15.src.rpm 
ConozcoNicaragua.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

ConozcoNicaragua.src: W: no-version-in-last-changelog
The latest changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.

ConozcoNicaragua.src:8: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 8)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.

------------------------------------------------------------------------------
[makerpm@fedora-laptop SPECS]$ rpmlint -i ConozcoNicaragua.spec 
ConozcoNicaragua.spec:5: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

ConozcoNicaragua.spec:8: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 8)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

0 packages and 1 specfiles checked; 0 errors, 2 warnings.
-------------------------------------------------------------------------------

This is my firt packages, so i need to be sponsored...

Comment 1 German Ruiz 2011-05-28 18:48:42 UTC
New changes in ConozcoNicaragua.spec

http://germanrs.fedorapeople.org/Sugar/ConozcoNicaragua-1-2.fc15.src.rpm

http://germanrs.fedorapeople.org/Sugar/ConozcoNicaragua.spec

- Changes in Groups and fixed the warning of mixed use of spaces and tabs

[makerpm@fedora-laptop SPECS]$ rpmlint -i ConozcoNicaragua.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[makerpm@fedora-laptop SRPMS]$ rpmlint -i ConozcoNicaragua-1-2.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 German Ruiz 2011-05-28 20:21:44 UTC
New changes in ConozcoNicaragua.spec

http://germanrs.fedorapeople.org/Sugar/ConozcoNicaragua-1-3.fc15.src.rpm

http://germanrs.fedorapeople.org/Sugar/ConozcoNicaragua.spec

- Fixed some permission files...

Here is the Output of rpmlint 


[makerpm@fedora-laptop SPECS]$ rpmlint -i ConozcoNicaragua.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[makerpm@fedora-laptop SRPMS]$ rpmlint ConozcoNicaragua-1-3.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[makerpm@fedora-laptop noarch]$ rpmlint -i ConozcoNicaragua-1-3.fc15.noarch.rpm 
ConozcoNicaragua.noarch: E: non-executable-script /usr/share/sugar/activities/ConozcoNicaragua.activity/olpcgames/buildmanifest.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

ConozcoNicaragua.noarch: E: non-executable-script /usr/share/sugar/activities/ConozcoNicaragua.activity/setup.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

ConozcoNicaragua.noarch: E: non-executable-script /usr/share/sugar/activities/ConozcoNicaragua.activity/conozcouy.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

ConozcoNicaragua.noarch: E: non-executable-script /usr/share/sugar/activities/ConozcoNicaragua.activity/run.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

1 packages and 0 specfiles checked; 4 errors, 0 warnings.

Comment 3 Fabian Affolter 2011-05-31 08:43:07 UTC
As far as I know are all sugar activities named like sugar-[activitiy name]. Why not just remove the shebangs?

Comment 4 Fabian Affolter 2011-05-31 08:43:33 UTC
More details about sugar packages: https://fedoraproject.org/wiki/Packaging:SugarActivityGuidelines

Comment 5 German Ruiz 2011-06-05 18:33:49 UTC
Updated name and changed the Group to Sugar/Activities

Spec:
http://germanrs.fedorapeople.org/Sugar/sugar-conozco_nicaragua.spec

SRPM:
http://germanrs.fedorapeople.org/Sugar/sugar-conozco_nicaragua-1-5.fc15.src.rpm

Comment 6 Jason Tibbitts 2012-07-01 21:27:36 UTC
It is really unfortunate that nobody has looked over this in over a year.  I am a sponsor but I'm not really familiar with Sugar packaging.  I will attempt to get someone who knows Sugar to take a quick look over this and give their input.

In the meantime, could you confirm that you still wish to submit this package?  Is the package up to date with the upstream sources?  (I am far from fluent in Spanish but it appears to me that it is.)  If yes to both, I will do what I can do help you out here.

Comment 7 Kalpa Welivitigoda 2012-07-03 04:06:07 UTC
hi,

I just went through https://admin.fedoraproject.org/pkgdb/acls/list/*sugar-**?_csrf_token=be6ba4ae734910ed44745137a6b6487d3ab48e18 and found that the name should follow the pattern sugar-conozco-nicaragua. Fore info at http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Separators

if you still wish to submit this package as Jason mentioned, I would like to take this and review.

Comment 8 Jason Tibbitts 2012-07-03 04:28:00 UTC
Kalpa, a sponsor needs to review this, though you are of course welcome to provide commentary.

Comment 9 Kalpa Welivitigoda 2012-07-03 04:30:26 UTC
Jason, sure I'll comment based on German's reply

Comment 10 German Ruiz 2012-07-07 22:05:05 UTC
Hello Jason and Kalpa, sorry for the delay, i was a little bussy this week, so the problem with Conozco Nicaragua is that just works for Nicaragua, as same like the original version Conozco Uruguay[1], for that reason i want to package this "global" version Conozco America[2], for that reason i created a new bug[3] to review this version.

BTW i am new in rpm packing, but i want to learn and help to packing activities :)

[1]http://wiki.laptop.org/go/Conozco_Uruguay
[2]http://wiki.sugarlabs.org/go/Activities/Conozco_America
[3]https://bugzilla.redhat.com/show_bug.cgi?id=838252

PS: Sorry for my english, i am from Nicaragua...

Comment 11 Jason Tibbitts 2013-05-08 22:33:17 UTC
I am triaging old review tickets.  I apologize that it has been so long since 
anyone looked at this ticket, but there are more packages submitted now than
the pool of reviewers can handle, and some tickets fall through the cracks.

In order to keep the queue manageable, we need to occasionally find tickets 
which are not reviewable so as to not waste what reviewer time is available.  
Accordingly, I'm pinging this ticket and setting NEEDINFO.  If you are still 
interested in having your package reviewed, please do the following:

* Make sure your package still reflects the current status of its upstream.

* Check that your package still builds on current Fedora releases.

* Audit your package versus the current status of the packaging guidelines, 
  current rpmlint and current fedora-review tools.

And, finally, reply, making sure that the NEEDINFO flag gets cleared so that
this ticket reappears in the review queue.  I can't promise a review if you 
reply, but by closing out the stale tickets we can devote extra attention to 
the ones which aren't stale.

Comment 12 Veaceslav Mindru 2013-07-29 15:19:17 UTC
Where this package would fall in ? In case it's targeted for something newer then EPEL5 Spec file must be recompiled.

> BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

http://fedoraproject.org/wiki/How_to_create_an_RPM_package 

BuildRoot: This is where files will be "installed" during the %install process (after the %build process). This is now redundant in Fedora and is only needed for EPEL5. By default, the build root is placed in "%{_topdir}/BUILDROOT/".  

same applyes for %clean section 

> %clean
> rm -rf $RPM_BUILD_ROOT 


VM

Comment 13 Miroslav Suchý 2015-07-21 13:13:58 UTC
Are you still interested in this review? Can you please provide up to date SRPM?

Comment 14 James Hogarth 2015-12-04 02:42:55 UTC
As per policy the requester has not commented in over a month and not responded to needinfo in over a week.

As such I'm closing this bug. If you are still interested in packaging please for a fresh review complying with current guidelines.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews


Note You need to log in before you can comment on or make changes to this bug.